#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    
	long long n,k;
	cin >> n >> k;
	vector<long long> v;
	vector<long long> v2;
	for(long long i=0; i<k; i++) {
		long long a;
		cin >> a;
		v.push_back(a);
		v2.push_back(a);
	}
	sort(v2.begin(), v2.end());
	for(long long i=0; i<k; i++) {
	    long long j=0;
	    long long res=v[i];
		while(v2[j]!=v[i]){
		    if(v[i]%v2[j]==0)
		        res^=v2[j];
		    j++;
		}
		cout<<res << ' ';
	}
	
	
	

	return 0;
}